package com.me.brickbuster.entity;

import com.badlogic.gdx.graphics.glutils.ShapeRenderer;
import com.me.brickbuster.BrickBuster;

public abstract class Entity {

	private ShapeRenderer shapeRenderer;
	private BrickBuster brickBuster;
	private float x, y;

	public Entity(BrickBuster brickBuster, int x, int y) {
		this.shapeRenderer = new ShapeRenderer();
		this.brickBuster = brickBuster;
		this.x = x;
		this.y = y;
	}

	public abstract void render();

	public abstract void update(float dt);

	public BrickBuster getBrickBuster() {
		return brickBuster;
	}

	public ShapeRenderer getShapeRenderer() {
		return shapeRenderer;
	}

	public float getX() {
		return x;
	}

	public void setX(float x) {
		this.x = x;
	}

	public float getY() {
		return y;
	}

	public void setY(float y) {
		this.y = y;
	}

}
